<?php

Route::get('/', 'DashboardController')->name('admin.dashboard.index');

Route::group(['prefix' => 'event'], static function (): void {
    Route::group(['prefix' => '{event}/delegate'], static function (): void {
        Route::get('/', 'EventDelegateController@index')->name('admin.event.delegate.index');
        Route::post('/', 'EventDelegateController@store')->name('admin.event.delegate.store');
        Route::get('/create', 'EventDelegateController@create')->name('admin.event.delegate.create');
        Route::get('{delegate}', 'EventDelegateController@show')->name('admin.event.delegate.show');
        Route::get('{delegate}/edit', 'EventDelegateController@edit')->name('admin.event.delegate.edit');
        Route::post('{delegate}/update', 'EventDelegateController@update')->name('admin.event.delegate.update');
    });

    Route::get('/', 'EventController@index')->name('admin.event.index');
    Route::post('/', 'EventController@store')->name('admin.event.store');
    Route::get('create', 'EventController@create')->name('admin.event.create');
    Route::get('{event}', 'EventController@show')->name('admin.event.show');
    Route::get('{event}/edit', 'EventController@edit')->name('admin.event.edit');
    Route::post('{event}/update', 'EventController@update')->name('admin.event.update');
    Route::post('{event}/delete', 'EventController@delete')->name('admin.event.delete');
    Route::post('{event}/archive', 'ArchiveEventController@__invoke')->name('admin.event.archive.store');
    Route::post('{event}/un-archive', 'UnArchiveEventController@__invoke')->name('admin.event.archive.destroy');
});
