<?php

namespace EventPortal\Domain\Delegate\Models;

use EventPortal\Concerns\HasFields as HasFieldsConcern;
use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Table\GroupedActions;
use EventPortal\Domain\User\Models\User;
use EventPortal\Enums\InertiaMethod;

class Delegate extends User
{
    public const STATUS_ADDED = 'added';

    use HasFieldsConcern;

    protected $table = 'users';

    public function tableActions(): GroupedActions
    {
        return GroupedActions::make('Manage delegate')
            ->add(function (): Button {
                return Button::make('View')
                    ->method(InertiaMethod::VISIT())
                    ->route('admin.event.delegate.show', ['event' => request()->event, 'delegate' => $this->id]);
            })
            ->add(function (): Button {
                return Button::make('Edit')
                    ->method(InertiaMethod::VISIT())
                    ->route('admin.event.delegate.edit', ['event' => request()->event, 'delegate' => $this->id]);
            });
    }
}
