<?php

namespace EventPortal\Domain\Delegate\Notifications;

use EventPortal\Domain\Delegate\Models\Delegate;
use EventPortal\Domain\Shared\Mail\AccountEdited;
use Illuminate\Notifications\Notification;

class NotifyOfEdit extends Notification
{
    public function __construct(Delegate $delegate)
    {
        $this->delegate = $delegate;
    }

    /**
     * @return string[]
     */
    public function via(): array
    {
        return ['mail'];
    }

    /**
     * @param mixed $notifiable
     */
    public function toMail($notifiable): AccountEdited
    {
        return (new AccountEdited($this->delegate))->to($notifiable->email);
    }
}
