<?php

namespace EventPortal\Tests\Feature\Admin\EventDelegate;

use Carbon\Carbon;
use EventPortal\Domain\Delegate\Models\Delegate;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\DatabaseMigrations;
use Spatie\Snapshots\MatchesSnapshots;

class EventDelegateShowTest extends TestCase
{
    use DatabaseMigrations, MatchesSnapshots;

    /** @test **/
    public function show(): void
    {
        Carbon::setTestNow(Carbon::parse('1/1/2020'));
        $delegate = factory(Delegate::class)->create();
        $event = factory(Event::class)->create();

        $event->delegates()->sync($delegate->id);

        $this->assertMatchesJsonSnapshot($this->get(route('admin.event.delegate.show', [$event, $delegate]))->props());
    }
}
