<?php

namespace EventPortal\Tests\Unit\Util;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Exceptions\NoDefaultConfig;
use EventPortal\Domain\Util\DefaultConfig;
use EventPortal\Tests\TestCase;

class DefaultConfigTest extends TestCase
{
    /** @test **/
    public function get_config_for_table_columns()
    {
        config()->set('defaults.event.tableColumns', ['name', 'url']);

        $actual = DefaultConfig::for(Event::class)->get('tableColumns');

        $this->assertEquals(['name', 'url'], $actual);
    }

    /** @test **/
    public function exception_thrown_when_no_config()
    {
        $this->expectException(NoDefaultConfig::class);

        config()->set('defaults.event.tableColumns', null);

        DefaultConfig::for(Event::class)->get('tableColumns');
    }
}

